upstream backend {
    server web:8000;
}

server {
    listen 80;
    listen [::]:80;
    
    client_max_body_size 4G;
    keepalive_timeout 5;

    location / {
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header Host $http_host;
        proxy_redirect off;
        proxy_pass http://backend;
    }

    location ~ /(media|static)/ {
        root /var/www/;
        expires 30d;
    }
}
